# Uses of Class
java.awt.Font

Packages that use Font
Package
Description
com.sun.java.accessibility.util
Provides a collection of interfaces and classes that compose the Java Accessibility Utilities.
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.font
Provides classes and interface relating to fonts.
javax.accessibility
Defines a contract between user-interface components and an assistive technology that provides access to those components.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.border
Provides classes and interface for drawing specialized borders around a Swing component.
javax.swing.plaf
Provides one interface and many abstract classes that Swing uses to provide its pluggable look-and-feel capabilities.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.nimbus
Provides user interface objects built according to the cross-platform Nimbus look and feel.
javax.swing.plaf.synth
Synth is a skinnable look and feel in which all painting is delegated.
javax.swing.table
Provides classes and interfaces for dealing with `javax.swing.JTable`.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.
javax.swing.text.html
Provides the class `HTMLEditorKit` and supporting classes for creating HTML text editors.
javax.swing.tree
Provides classes and interfaces for dealing with `javax.swing.JTree`.

## Uses of Font in com.sun.java.accessibility.util

Methods in com.sun.java.accessibility.util that return Font
Modifier and Type
Method
Description
`Font`
Translator.`getFont()`
Get the `Font` of this object.
Methods in com.sun.java.accessibility.util with parameters of type Font
Modifier and Type
Method
Description
`FontMetrics`
Translator.`getFontMetrics​(Font f)`
Get the `FontMetrics` of this object.
`void`
Translator.`setFont​(Font f)`
Set the `Font` of this object.

## Uses of Font in java.awt

Fields in java.awt declared as Font
Modifier and Type
Field
Description
`protected Font`
FontMetrics.`font`
The actual `Font` from which the font metrics are created.
Methods in java.awt that return Font
Modifier and Type
Method
Description
`static Font`
Font.`createFont​(int fontFormat, File fontFile)`
Returns a new `Font` using the specified font type and the specified font file.
`static Font`
Font.`createFont​(int fontFormat, InputStream fontStream)`
Returns a new `Font` using the specified font type and input data.
`static Font[]`
Font.`createFonts​(File fontFile)`
Returns a new array of `Font` decoded from the specified file.
`static Font[]`
Font.`createFonts​(InputStream fontStream)`
Returns a new array of `Font` decoded from the specified stream.
`static Font`
Font.`decode​(String str)`
Returns the `Font` that the `str` argument describes.
`Font`
Font.`deriveFont​(float size)`
Creates a new `Font` object by replicating the current `Font` object and applying a new size to it.
`Font`
Font.`deriveFont​(int style)`
Creates a new `Font` object by replicating the current `Font` object and applying a new style to it.
`Font`
Font.`deriveFont​(int style, float size)`
Creates a new `Font` object by replicating this `Font` object and applying a new style and size.
`Font`
Font.`deriveFont​(int style, AffineTransform trans)`
Creates a new `Font` object by replicating this `Font` object and applying a new style and transform.
`Font`
Font.`deriveFont​(AffineTransform trans)`
Creates a new `Font` object by replicating the current `Font` object and applying a new transform to it.
`Font`
Font.`deriveFont​(Map<? extends AttributedCharacterIterator.Attribute,​?> attributes)`
Creates a new `Font` object by replicating the current `Font` object and applying a new set of font attributes to it.
`abstract Font[]`
GraphicsEnvironment.`getAllFonts()`
Returns an array containing a one-point size instance of all fonts available in this `GraphicsEnvironment`.
`Font`
Component.AccessibleAWTComponent.`getFont()`
Gets the `Font` of this object.
`Font`
Component.`getFont()`
Gets the font of this component.
`static Font`
Font.`getFont​(String nm)`
Returns a `Font` object from the system properties list.
`static Font`
Font.`getFont​(String nm, Font font)`
Gets the specified `Font` from the system properties list.
`static Font`
Font.`getFont​(Map<? extends AttributedCharacterIterator.Attribute,​?> attributes)`
Returns a `Font` appropriate to the attributes.
`Font`
FontMetrics.`getFont()`
Gets the `Font` described by this `FontMetrics` object.
`abstract Font`
Graphics.`getFont()`
Gets the current font.
`Font`
List.AccessibleAWTList.AccessibleAWTListChild.`getFont()`
Get the Font of this object.
`Font`
MenuComponent.AccessibleAWTMenuComponent.`getFont()`
Gets the `Font` of this object.
`Font`
MenuComponent.`getFont()`
Gets the font used for this menu component.
`Font`
MenuContainer.`getFont()`
Returns the font in use by this container.
Methods in java.awt with parameters of type Font
Modifier and Type
Method
Description
`static Font`
Font.`getFont​(String nm, Font font)`
Gets the specified `Font` from the system properties list.
`FontMetrics`
Component.AccessibleAWTComponent.`getFontMetrics​(Font f)`
Gets the `FontMetrics` of this object.
`FontMetrics`
Component.`getFontMetrics​(Font font)`
Gets the font metrics for the specified font.
`abstract FontMetrics`
Graphics.`getFontMetrics​(Font f)`
Gets the font metrics for the specified font.
`FontMetrics`
List.AccessibleAWTList.AccessibleAWTListChild.`getFontMetrics​(Font f)`
Get the FontMetrics of this object.
`FontMetrics`
MenuComponent.AccessibleAWTMenuComponent.`getFontMetrics​(Font f)`
Gets the `FontMetrics` of this object.
`abstract FontMetrics`
Toolkit.`getFontMetrics​(Font font)`
Deprecated.
As of JDK version 1.2, replaced by the `Font` method `getLineMetrics`.
`boolean`
GraphicsEnvironment.`registerFont​(Font font)`
Registers a created `Font` in this `GraphicsEnvironment`.
`void`
Component.AccessibleAWTComponent.`setFont​(Font f)`
Sets the `Font` of this object.
`void`
Component.`setFont​(Font f)`
Sets the font of this component.
`void`
Container.`setFont​(Font f)`
Sets the font of this container.
`abstract void`
Graphics.`setFont​(Font font)`
Sets this graphics context's font to the specified font.
`void`
List.AccessibleAWTList.AccessibleAWTListChild.`setFont​(Font f)`
Set the Font of this object.
`void`
MenuComponent.AccessibleAWTMenuComponent.`setFont​(Font f)`
Sets the `Font` of this object.
`void`
MenuComponent.`setFont​(Font f)`
Sets the font to be used for this menu component to the specified font.
Constructors in java.awt with parameters of type Font
Modifier
Constructor
Description
`protected`
`Font​(Font font)`
Creates a new `Font` from the specified `font`.
`protected`
`FontMetrics​(Font font)`
Creates a new `FontMetrics` object for finding out height and width information about the specified `Font` and specific character glyphs in that `Font`.

## Uses of Font in java.awt.font

Methods in java.awt.font that return Font
Modifier and Type
Method
Description
`Font`
MultipleMaster.`deriveMMFont​(float[] axes)`
Creates a new instance of a multiple master font based on the design axis values contained in the specified array.
`Font`
MultipleMaster.`deriveMMFont​(float[] glyphWidths, float avgStemWidth, float typicalCapHeight, float typicalXHeight, float italicAngle)`
Creates a new instance of a multiple master font based on detailed metric information.
`abstract Font`
GlyphVector.`getFont()`
Returns the `Font` associated with this `GlyphVector`.
Constructors in java.awt.font with parameters of type Font
Modifier
Constructor
Description
``
`TextLayout​(String string, Font font, FontRenderContext frc)`
Constructs a `TextLayout` from a `String` and a `Font`.

## Uses of Font in javax.accessibility

Methods in javax.accessibility that return Font
Modifier and Type
Method
Description
`Font`
AccessibleComponent.`getFont()`
Gets the font of this object.
Methods in javax.accessibility with parameters of type Font
Modifier and Type
Method
Description
`FontMetrics`
AccessibleComponent.`getFontMetrics​(Font f)`
Gets the `FontMetrics` of this object.
`void`
AccessibleComponent.`setFont​(Font f)`
Sets the font of this object.

## Uses of Font in javax.swing

Methods in javax.swing that return Font
Modifier and Type
Method
Description
`Font`
DebugGraphics.`getFont()`
Returns the Font used for text drawing operations.
`Font`
JList.AccessibleJList.AccessibleJListChild.`getFont()`
`Font`
JTable.AccessibleJTable.AccessibleJTableCell.`getFont()`
Gets the `Font` of this object.
`Font`
JTree.AccessibleJTree.AccessibleJTreeNode.`getFont()`
`Font`
UIDefaults.`getFont​(Object key)`
If the value of `key` is a `Font` return it, otherwise return `null`.
`Font`
UIDefaults.`getFont​(Object key, Locale l)`
If the value of `key` for the given `Locale` is a `Font` return it, otherwise return `null`.
`static Font`
UIManager.`getFont​(Object key)`
Returns a font from the defaults.
`static Font`
UIManager.`getFont​(Object key, Locale l)`
Returns a font from the defaults that is appropriate for the given locale.
Methods in javax.swing with parameters of type Font
Modifier and Type
Method
Description
`static TitledBorder`
BorderFactory.`createTitledBorder​(Border border, String title, int titleJustification, int titlePosition, Font titleFont)`
Adds a title to an existing border, with the specified positioning and font, and using the default text color (determined by the current look and feel).
`static TitledBorder`
BorderFactory.`createTitledBorder​(Border border, String title, int titleJustification, int titlePosition, Font titleFont, Color titleColor)`
Adds a title to an existing border, with the specified positioning, font and color.
`FontMetrics`
DebugGraphics.`getFontMetrics​(Font f)`
Overrides `Graphics.getFontMetrics`.
`FontMetrics`
JComponent.`getFontMetrics​(Font font)`
Gets the `FontMetrics` for the specified `Font`.
`FontMetrics`
JList.AccessibleJList.AccessibleJListChild.`getFontMetrics​(Font f)`
`FontMetrics`
JTable.AccessibleJTable.AccessibleJTableCell.`getFontMetrics​(Font f)`
Gets the `FontMetrics` of this object.
`FontMetrics`
JTree.AccessibleJTree.AccessibleJTreeNode.`getFontMetrics​(Font f)`
`void`
DebugGraphics.`setFont​(Font aFont)`
Sets the Font used for text drawing operations.
`void`
JComponent.`setFont​(Font font)`
Sets the font for this component.
`void`
JList.AccessibleJList.AccessibleJListChild.`setFont​(Font f)`
`void`
JSlider.`setFont​(Font font)`
Sets the font for this component.
`void`
JTable.AccessibleJTable.AccessibleJTableCell.`setFont​(Font f)`
Sets the `Font` of this object.
`void`
JTextArea.`setFont​(Font f)`
Sets the current font.
`void`
JTextField.`setFont​(Font f)`
Sets the current font.
`void`
JTree.AccessibleJTree.AccessibleJTreeNode.`setFont​(Font f)`

## Uses of Font in javax.swing.border

Fields in javax.swing.border declared as Font
Modifier and Type
Field
Description
`protected Font`
TitledBorder.`titleFont`
The font for rendering the title.
Methods in javax.swing.border that return Font
Modifier and Type
Method
Description
`protected Font`
TitledBorder.`getFont​(Component c)`
Returns default font of the titled border.
`Font`
TitledBorder.`getTitleFont()`
Returns the title-font of the titled border.
Methods in javax.swing.border with parameters of type Font
Modifier and Type
Method
Description
`void`
TitledBorder.`setTitleFont​(Font titleFont)`
Sets the title-font of the titled border.
Constructors in javax.swing.border with parameters of type Font
Modifier
Constructor
Description
``
`TitledBorder​(Border border, String title, int titleJustification, int titlePosition, Font titleFont)`
Creates a TitledBorder instance with the specified border, title, title-justification, title-position, and title-font.
``
`TitledBorder​(Border border, String title, int titleJustification, int titlePosition, Font titleFont, Color titleColor)`
Creates a TitledBorder instance with the specified border, title, title-justification, title-position, title-font, and title-color.

## Uses of Font in javax.swing.plaf

Subclasses of Font in javax.swing.plaf
Modifier and Type
Class
Description
`class`
`FontUIResource`
A subclass of java.awt.Font that implements UIResource.
Constructors in javax.swing.plaf with parameters of type Font
Modifier
Constructor
Description
``
`FontUIResource​(Font font)`
Constructs a `FontUIResource`.
``
`TitledBorderUIResource​(Border border, String title, int titleJustification, int titlePosition, Font titleFont)`
Constructs a `TitledBorderUIResource`.
``
`TitledBorderUIResource​(Border border, String title, int titleJustification, int titlePosition, Font titleFont, Color titleColor)`
Constructs a `TitledBorderUIResource`.

## Uses of Font in javax.swing.plaf.basic

Fields in javax.swing.plaf.basic declared as Font
Modifier and Type
Field
Description
`protected Font`
BasicMenuItemUI.`acceleratorFont`
The accelerator font.
Methods in javax.swing.plaf.basic with parameters of type Font
Modifier and Type
Method
Description
`protected void`
BasicTabbedPaneUI.`paintText​(Graphics g, int tabPlacement, Font font, FontMetrics metrics, int tabIndex, String title, Rectangle textRect, boolean isSelected)`
Paints text.

## Uses of Font in javax.swing.plaf.nimbus

Methods in javax.swing.plaf.nimbus that return Font
Modifier and Type
Method
Description
`protected Font`
NimbusStyle.`getFontForState​(SynthContext ctx)`
Returns the font for the specified state.

## Uses of Font in javax.swing.plaf.synth

Methods in javax.swing.plaf.synth that return Font
Modifier and Type
Method
Description
`Font`
SynthStyle.`getFont​(SynthContext context)`
Returns the Font for the specified state.
`protected abstract Font`
SynthStyle.`getFontForState​(SynthContext context)`
Returns the font for the specified state.
Methods in javax.swing.plaf.synth with parameters of type Font
Modifier and Type
Method
Description
`int`
SynthGraphicsUtils.`computeStringWidth​(SynthContext ss, Font font, FontMetrics metrics, String text)`
Returns the size of the passed in string.
`Dimension`
SynthGraphicsUtils.`getMaximumSize​(SynthContext ss, Font font, String text, Icon icon, int hAlign, int vAlign, int hTextPosition, int vTextPosition, int iconTextGap, int mnemonicIndex)`
Returns the maximum size needed to properly render an icon and text.
`Dimension`
SynthGraphicsUtils.`getMinimumSize​(SynthContext ss, Font font, String text, Icon icon, int hAlign, int vAlign, int hTextPosition, int vTextPosition, int iconTextGap, int mnemonicIndex)`
Returns the minimum size needed to properly render an icon and text.
`Dimension`
SynthGraphicsUtils.`getPreferredSize​(SynthContext ss, Font font, String text, Icon icon, int hAlign, int vAlign, int hTextPosition, int vTextPosition, int iconTextGap, int mnemonicIndex)`
Returns the preferred size needed to properly render an icon and text.

## Uses of Font in javax.swing.table

Methods in javax.swing.table that return Font
Modifier and Type
Method
Description
`Font`
JTableHeader.AccessibleJTableHeader.AccessibleJTableHeaderEntry.`getFont()`
Methods in javax.swing.table with parameters of type Font
Modifier and Type
Method
Description
`FontMetrics`
JTableHeader.AccessibleJTableHeader.AccessibleJTableHeaderEntry.`getFontMetrics​(Font f)`
`void`
JTableHeader.AccessibleJTableHeader.AccessibleJTableHeaderEntry.`setFont​(Font f)`

## Uses of Font in javax.swing.text

Methods in javax.swing.text that return Font
Modifier and Type
Method
Description
`Font`
DefaultStyledDocument.`getFont​(AttributeSet attr)`
Gets the font from an attribute set.
`Font`
GlyphView.`getFont()`
Fetch the font that the glyphs should be based upon.
`Font`
LabelView.`getFont()`
Fetches the font that the glyphs should be based upon.
`Font`
StyleContext.`getFont​(String family, int style, int size)`
Gets a new font.
`Font`
StyleContext.`getFont​(AttributeSet attr)`
Gets the font from an attribute set.
`Font`
StyledDocument.`getFont​(AttributeSet attr)`
Takes a set of attributes and turn it into a font specification.
Methods in javax.swing.text with parameters of type Font
Modifier and Type
Method
Description
`FontMetrics`
StyleContext.`getFontMetrics​(Font f)`
Returns font metrics for a font.

## Uses of Font in javax.swing.text.html

Methods in javax.swing.text.html that return Font
Modifier and Type
Method
Description
`Font`
StyleSheet.`getFont​(AttributeSet a)`
Fetches the font to use for the given set of attributes.

## Uses of Font in javax.swing.tree

Fields in javax.swing.tree declared as Font
Modifier and Type
Field
Description
`protected Font`
DefaultTreeCellEditor.`font`
Font to paint with, `null` indicates font of renderer is to be used.
Methods in javax.swing.tree that return Font
Modifier and Type
Method
Description
`Font`
DefaultTreeCellEditor.`getFont()`
Gets the font used for editing.
`Font`
DefaultTreeCellRenderer.`getFont()`
Gets the font of this component.
Methods in javax.swing.tree with parameters of type Font
Modifier and Type
Method
Description
`void`
DefaultTreeCellEditor.`setFont​(Font font)`
Sets the font to edit with.
`void`
DefaultTreeCellRenderer.`setFont​(Font font)`
Subclassed to map `FontUIResource`s to null.